%define debug_package %{nil}

%define mybuildnumber %{?build_number}%{?!build_number:1}

Name:           ledger2beancount
Version:        1.8.0.1
Release:        %{mybuildnumber}%{?dist}
Summary:        Ledger to Beancount text-based converter
Group:          Applications/Financial

License:        GPLv3
URL:            https://github.com/zacchiro/ledger2beancount
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  pandoc
BuildRequires:  scdoc
BuildRequires:  make
BuildRequires:  /usr/bin/pdflatex
BuildRequires:  texlive-cm-super
BuildRequires:  texlive-collection-fontsrecommended

Requires:       perl-experimental
Requires:       perl-Config-Onion
Requires:       perl-DateTime-Format-Strptime
Requires:       perl-File-BaseDir
Requires:       perl-Getopt-Long-Descriptive.noarch
Requires:       perl-String-Interpolate

%description
A script to automatically convert Ledger-based textual ledgers to Beancount ones.

Conversion is based on (concrete) syntax, so that information that is not meaningful for accounting reasons but still valuable (e.g., comments, formatting, etc.) can be preserved.

%prep
%setup -q

%build
make docs

%install
mkdir -p "%{buildroot}%{_defaultdocdir}/%{name}"
cp -f "README.md" docs/manual.pdf "%{buildroot}%{_defaultdocdir}/%{name}/"
mkdir -p "%{buildroot}%{_mandir}"/{1,5}
cp -f docs/ledger2beancount.1 "%{buildroot}%{_mandir}"/1
cp -f docs/ledger2beancount.5 "%{buildroot}%{_mandir}"/5
mkdir -p "%{buildroot}%{_bindir}"
cp -f bin/ledger2beancount "%{buildroot}%{_bindir}"

%files
%defattr(-, root, root)
%{_mandir}/1/%{name}.1
%{_mandir}/5/%{name}.5
%attr(0755, root, root) %{_bindir}/%{name}
%doc %{_defaultdocdir}/%{name}/README.md
%doc %{_defaultdocdir}/%{name}/manual.pdf

%changelog
* Thu Jul 11 2019  Manuel Amador (Rudd-O) <rudd-o@rudd-o.com>
- Port to generic pipeline build.
